about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--tests/repair.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/repair.sh b/tests/repair.sh
index f17aef2771f9..ae82b649c6ac 100644
--- a/tests/repair.sh
+++ b/tests/repair.sh
@@ -45,3 +45,21 @@ if [ "$(nix-hash $path2)" != "$hash" -o -e $path2/bad ]; then
     echo "path not repaired properly" >&2
     exit 1
 fi
+
+# Check --verify-path and --repair-path.
+nix-store --verify-path $path2
+
+chmod u+w $path2
+rm -rf $path2
+
+if nix-store --verify-path $path2; then
+    echo "nix-store --verify-path succeeded unexpectedly" >&2
+    exit 1
+fi
+
+nix-store --repair-path $path2 --option binary-caches "file://$cacheDir"
+
+if [ "$(nix-hash $path2)" != "$hash" -o -e $path2/bad ]; then
+    echo "path not repaired properly" >&2
+    exit 1
+fi